package com.muyu.data.source.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * DatabaseTableInformation
 *
 * @author DeKangLiu
 * on 2024/4/23
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DatabaseTableInformation {

    /**数据库信息id*/
    private Long id;

    /**数据库表名*/
    private String name;

    /**数据库表备注*/
    private String as;

    /**数据库表条数*/
    private Integer dataTotal;

    /**接入源名称*/
    private String accessSourceName;

    /**数据来源名称*/
    private String dataSourceSystemName;

    /**数据库名称*/
    private String databaseName;

    /**类型*/
    private Integer type;
}
